Create Customer
curl --request POST \
--url https://api.revolv3.com/api/Customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"merchantCustomerRefId": null,
"firstName": "John",
"lastName": "Doe",
"email": null,
"billingAddresses": [
{
"addressId": null,
"addressLine1": "100 Main Street",
"addressLine2": "",
"city": "Santa Ana",
"state": "CA",
"postalCode": "90000",
"phoneNumber": null,
"email": null,
"country": "US"
}
],
"shippingAddresses": [
{
"addressId": null,
"addressLine1": "101 First Street",
"addressLine2": "",
"city": "Costa Mesa",
"state": "CA",
"postalCode": "90001",
"phoneNumber": null,
"email": null,
"country": "US"
}
],
"subscriptions": [
{
"paymentMethods": [
{
"priority": 0,
"taxAmount": null,
"originalNetworkTransactionId": null,
"billingAddress": {
"addressId": null,
"addressLine1": "100 Main Street",
"addressLine2": "",
"city": "Irvine",
"state": "CA",
"postalCode": "92602",
"phoneNumber": null,
"email": null,
"country": "US"
},
"creditCard": {
"paymentAccountNumber": "4111111111111111",
"expirationDate": "1025",
"securityCode": null,
"networkToken": null
},
"ach": null,
"googlePay": null,
"applePay": null,
"merchantPaymentMethodRefId": null,
"billingFirstName": "John",
"billingLastName": "Doe",
"billingFullName": null
}
],
"existingPaymentMethod": null,
"merchantSubscriptionRefId": "1234-5678-9101",
"billingFrequency": {
"intervalType": "Days",
"intervalCount": 1
},
"subscriptionStatusType": "current",
"subscriptionCancelType": "EndOfCycle",
"startDate": "2026-03-30T00:00:00Z",
"trialDuration": 0,
"trialDurationType": "Days",
"taxAddress": {
"addressId": null,
"addressLine1": "101 Update Street",
"addressLine2": "",
"city": "Irvine",
"state": "CA",
"postalCode": "92602",
"phoneNumber": null,
"email": null,
"country": "US"
},
"includeRawProcessorResponse": false,
"customer": null,
"subscriptionBillingPlans": [
{
"name": "Billing Plan 1",
"value": 10.99,
"cycleCount": -1,
"valueType": "Standard",
"startCycleDelay": 0
},
{
"name": "Billing Plan 2",
"value": 14.99,
"cycleCount": 12,
"valueType": "Standard",
"startCycleDelay": 1
}
],
"recycleImmediatePayment": false,
"currency": "USD"
}
]
}
'{
"customerId": 1,
"merchantCustomerRefId": "1234-5678-9101",
"firstName": "John",
"lastName": "Doe",
"billingAddresses": [
{
"addressId": 1,
"addressLine1": "100 Main Street",
"addressLine2": null,
"city": "Santa Ana",
"state": "CA",
"postalCode": "90000",
"phoneNumber": null,
"email": null,
"country": "US"
}
],
"shippingAddresses": [
{
"addressId": 2,
"addressLine1": "101 First Street",
"addressLine2": "",
"city": "Costa Mesa",
"state": "CA",
"postalCode": "90001",
"phoneNumber": null,
"email": null,
"country": "US"
}
],
"taxAddresses": [],
"subscriptions": [
{
"subscriptionId": 1,
"customerId": 1,
"merchantSubscriptionRefId": "1234-5678-9101",
"networkTransactionId": null,
"billingIntervalType": "Days",
"billingIntervalCount": 1,
"subscriptionStatusType": "current",
"subscriptionCancelType": null,
"initialBillDate": "30-Mar-26",
"nextBillDate": "31-Mar-26",
"taxAddress": null,
"paymentMethodIds": null,
"cancelledAt": null,
"billingPlans": [
{
"subscriptionBillingPlanId": 1,
"subscriptionId": 0,
"name": "Billing Plan 1",
"value": 10.99,
"startDate": "30-Mar-26",
"cyclesRemaining": -1,
"cycleCount": 0,
"valueType": "Standard"
},
{
"subscriptionBillingPlanId": 2,
"subscriptionId": 0,
"name": "Billing Plan 2",
"value": 14.99,
"startDate": "31-Mar-26",
"cyclesRemaining": 12,
"cycleCount": 0,
"valueType": "Standard"
}
],
"message": null,
"paymentProcessor": null,
"processorMerchantId": null,
"processorRawResponse": null,
"currency": null,
"responseMessage": null,
"responseCode": null
}
]
}Customers
Create Customer
Creates a new customer record within your merchant account. You can provide customer details such as first name, last name, billing address, shipping address, and a Merchant Customer Ref ID (an external identifier you define).
Once created, the customer can be linked to subscriptions, payment methods, invoices, and other transactional entities. This endpoint is typically used during onboarding or checkout flows to register the customer in the system before initiating payments.
A successful response includes the unique Customer ID assigned by the platform.
Create Customer
curl --request POST \
--url https://api.revolv3.com/api/Customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"merchantCustomerRefId": null,
"firstName": "John",
"lastName": "Doe",
"email": null,
"billingAddresses": [
{
"addressId": null,
"addressLine1": "100 Main Street",
"addressLine2": "",
"city": "Santa Ana",
"state": "CA",
"postalCode": "90000",
"phoneNumber": null,
"email": null,
"country": "US"
}
],
"shippingAddresses": [
{
"addressId": null,
"addressLine1": "101 First Street",
"addressLine2": "",
"city": "Costa Mesa",
"state": "CA",
"postalCode": "90001",
"phoneNumber": null,
"email": null,
"country": "US"
}
],
"subscriptions": [
{
"paymentMethods": [
{
"priority": 0,
"taxAmount": null,
"originalNetworkTransactionId": null,
"billingAddress": {
"addressId": null,
"addressLine1": "100 Main Street",
"addressLine2": "",
"city": "Irvine",
"state": "CA",
"postalCode": "92602",
"phoneNumber": null,
"email": null,
"country": "US"
},
"creditCard": {
"paymentAccountNumber": "4111111111111111",
"expirationDate": "1025",
"securityCode": null,
"networkToken": null
},
"ach": null,
"googlePay": null,
"applePay": null,
"merchantPaymentMethodRefId": null,
"billingFirstName": "John",
"billingLastName": "Doe",
"billingFullName": null
}
],
"existingPaymentMethod": null,
"merchantSubscriptionRefId": "1234-5678-9101",
"billingFrequency": {
"intervalType": "Days",
"intervalCount": 1
},
"subscriptionStatusType": "current",
"subscriptionCancelType": "EndOfCycle",
"startDate": "2026-03-30T00:00:00Z",
"trialDuration": 0,
"trialDurationType": "Days",
"taxAddress": {
"addressId": null,
"addressLine1": "101 Update Street",
"addressLine2": "",
"city": "Irvine",
"state": "CA",
"postalCode": "92602",
"phoneNumber": null,
"email": null,
"country": "US"
},
"includeRawProcessorResponse": false,
"customer": null,
"subscriptionBillingPlans": [
{
"name": "Billing Plan 1",
"value": 10.99,
"cycleCount": -1,
"valueType": "Standard",
"startCycleDelay": 0
},
{
"name": "Billing Plan 2",
"value": 14.99,
"cycleCount": 12,
"valueType": "Standard",
"startCycleDelay": 1
}
],
"recycleImmediatePayment": false,
"currency": "USD"
}
]
}
'{
"customerId": 1,
"merchantCustomerRefId": "1234-5678-9101",
"firstName": "John",
"lastName": "Doe",
"billingAddresses": [
{
"addressId": 1,
"addressLine1": "100 Main Street",
"addressLine2": null,
"city": "Santa Ana",
"state": "CA",
"postalCode": "90000",
"phoneNumber": null,
"email": null,
"country": "US"
}
],
"shippingAddresses": [
{
"addressId": 2,
"addressLine1": "101 First Street",
"addressLine2": "",
"city": "Costa Mesa",
"state": "CA",
"postalCode": "90001",
"phoneNumber": null,
"email": null,
"country": "US"
}
],
"taxAddresses": [],
"subscriptions": [
{
"subscriptionId": 1,
"customerId": 1,
"merchantSubscriptionRefId": "1234-5678-9101",
"networkTransactionId": null,
"billingIntervalType": "Days",
"billingIntervalCount": 1,
"subscriptionStatusType": "current",
"subscriptionCancelType": null,
"initialBillDate": "30-Mar-26",
"nextBillDate": "31-Mar-26",
"taxAddress": null,
"paymentMethodIds": null,
"cancelledAt": null,
"billingPlans": [
{
"subscriptionBillingPlanId": 1,
"subscriptionId": 0,
"name": "Billing Plan 1",
"value": 10.99,
"startDate": "30-Mar-26",
"cyclesRemaining": -1,
"cycleCount": 0,
"valueType": "Standard"
},
{
"subscriptionBillingPlanId": 2,
"subscriptionId": 0,
"name": "Billing Plan 2",
"value": 14.99,
"startDate": "31-Mar-26",
"cyclesRemaining": 12,
"cycleCount": 0,
"valueType": "Standard"
}
],
"message": null,
"paymentProcessor": null,
"processorMerchantId": null,
"processorRawResponse": null,
"currency": null,
"responseMessage": null,
"responseCode": null
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Response
Created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

